Bug 41953 - pidfile remains when 2nd pass of post-config returns err
Summary: pidfile remains when 2nd pass of post-config returns err
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mpm_winnt (show other bugs)
Version: 2.2.4
Hardware: PC All
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2007-03-26 15:32 UTC by Eric Covener
Modified: 2018-11-07 21:09 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Covener 2007-03-26 15:32:09 UTC
On windows, when a module returns an error during the second pass of the
post-config hook (in the parent) the parent process exits but does not remove
the PidFile.

I encountered this on a custom module that tries to avoid initializing an
external library in the parent, but I verified it by adding some simple code to
the mod_rewrite post-config to return ISE at different times based on
environment variables (and reading first_time and getenv(AP_PARENT_PID).

I struck out trying to find the source of the stranded pidfile in the mpm.
Comment 1 Takashi Sato 2007-04-02 04:51:10 UTC
I reproduced this problem on Linux (Prefork MPM). 
Comment 2 William A. Rowe Jr. 2018-11-07 21:09:50 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.